// test_dllDlg.cpp : implementation file
//

#include "stdafx.h"
#include "test_dll.h"
#include "test_dllDlg.h"
#include "C:\mydocs\Visual Studio Projects\NXL_cpp (draft)\NXL_DLL\NXL_DLL.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif



// Ctest_dllDlg dialog



Ctest_dllDlg::Ctest_dllDlg(CWnd* pParent /*=NULL*/)
	: CDialog(Ctest_dllDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void Ctest_dllDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, display);
	DDX_Control(pDX, IDC_EDIT2, IsEnabled);
}

BEGIN_MESSAGE_MAP(Ctest_dllDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Ctest_dllDlg message handlers

BOOL Ctest_dllDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	CNXL_DLL newnet;
	double dNXLvn = newnet.NXL_VersionNo();

	CString str;
	str.Format(_T("NXL Version: %.2f"),dNXLvn);
	SetWindowText(str);

	str.Format(_T("NXL NNet No:%i"),newnet.GetNXLcount());
	display.SetWindowText(str);

	int n = newnet.EnableLibrary(" ");
	if (n == 0) 
		IsEnabled.SetWindowText("Enabled");
	else
		IsEnabled.SetWindowText("Not Enabled");
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void Ctest_dllDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR Ctest_dllDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}
